## candid 1.0.0~alpha%2B201804191824

=== src/golang.org/x/net/http2/Makefile ===
curlimage:
	docker build -t gohttp2/curl .
