=== src/github.com/CanonicalLtd/candid/snap/candidsrv/Makefile ===
# Copyright 2016 Canonical Ltd.
# Makefile for the candidsrv snap.

snap:
	snapcraft

clean:
	snapcraft clean

.PHONY: snap clean
