=== src/github.com/CanonicalLtd/candid/snap/candid/Makefile ===
# Copyright 2016 Canonical Ltd.
# Makefile for the user-admin snap.

snap:
	snapcraft

clean:
	snapcraft clean

.PHONY: snap clean
