## candid 1.0.0~alpha+201804191824-24b36a9

=== debian/changelog ===
candid (1.0.0~alpha+201804191824-24b36a9-0ubuntu2) bionic; urgency=medium

  * Build using golang where available.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Apr 2018 12:28:02 +0200

candid (1.0.0~alpha+201804191824-24b36a9-0ubuntu1) bionic; urgency=medium

  * Initial release (LP: #1765476)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 19 Apr 2018 14:30:51 -0400
