=== debian/control ===
Source: candid
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rick Harding <rick.harding@canonical.com>
Build-Depends: debhelper (>= 11),
               gccgo-go [!amd64 !i386 !armhf !arm64 !ppc64el !s390x],
               golang-go (>= 2:1.2) [amd64 i386 armhf arm64 ppc64el s390x],
               lsb-release
Standards-Version: 4.1.4
Homepage: https://github.com/CanonicalLtd/candid

Package: candid
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Description: Canonical Identity Service
 The Canonical Identity server provides a macaroon-based authentication
 service against external identity providers.
 .
 This package contains the Candid daemon.
