=== debian/tests/control ===

Tests: server
Depends: candid
